summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorStefan Ritter <xeno@thehappy.de>2009-11-23 08:35:59 +0100
committerStefan Ritter <xeno@thehappy.de>2009-11-23 08:35:59 +0100
commit8150e9449ca00c937c2ba7570c3407d28d03128e (patch)
tree02a9f8e60a6af5e9870ca0aad36a72102f0835a6
parent7757404ca54ab5b4843c040dec04e31d817e857e (diff)
Added viod again
-rwxr-xr-xviod17
1 files changed, 17 insertions, 0 deletions
diff --git a/viod b/viod
new file mode 100755
index 0000000..8bb4c21
--- /dev/null
+++ b/viod
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+editor=vi
+
+if [ $# -eq 0 ]
+then
+ echo "usage: `basename $0` file"
+ exit 1
+fi
+
+file=$1
+
+timestamp=`stat -c %y "$file" | cut -d. -f1 | cut -d" " -f1 | awk -F- '{print $1 $2 $3}'``stat -c %y "$file" | cut -d. -f1 | cut -d" " -f2 | awk -F: '{print $1 $2 "." $3}'`
+
+"$editor" "$file"
+
+touch -t $timestamp "$file"